﻿@using Jb.Framework.Common.Forms
@using Jumbula.Common.Helper
@model List<SportsClub.Areas.Dashboard.Models.CustomReport.RegistrationFormViewModel>

@{
    ViewBag.Title = "Registration form";
    Layout = null;
}

@foreach (var item in Model)
{
    <table style="letter-spacing: .5px;font-family: verdana ; width: 100%;font-size: 14px">
        <tbody>
            <tr>
                <td>
                    <table style="width: 100%;font-family: verdana">
                        <tbody>
                            <tr>
                                <td style="vertical-align: top;">
                                    <table style="width: 100%;font-family: verdana">
                                        <tbody>
                                            <tr>
                                                <td style="padding-right: 10px;vertical-align: top; ">
                                                    <table style="width: 100%;font-family: verdana">
                                                        <tbody>
                                                            <tr>
                                                                <td style="border-bottom: black solid 2px;padding-bottom: 5px;display: block">
                                                                    <b>
                                                                        @item.ProgramName
                                                                    </b>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    <p style="font-size: small;margin: 0;padding: 0;padding-top: 10px">@item.StartDate.Date.ToString("MMM dd, yyyy") &ndash; @item.EndDate.Date.ToString("MMM dd, yyyy")</p>
                                                    <p style="font-size: small;margin: 0;padding: 0">@item.PostalAddress.Address</p>
                                                    <br />
                                                    <table style="border: 1px solid black;width: 100%; text-align: center;font-family: verdana" cellpadding="5" cellspacing="0">
                                                        <tbody>
                                                            <tr>
                                                                <td style="background-color: #DDDDDD;font-size: small;border: 0.5px solid black">
                                                                    Item
                                                                </td>
                                                                <td style="background-color: #DDDDDD;font-size: small;border: 0.5px solid black">
                                                                    Price
                                                                </td>
                                                            </tr>
                                                            @foreach (var charge in item.Charges)
                                                            {
                                                                <tr>
                                                                    <td style="font-size: small;border: 0.5px solid black">
                                                                        @charge.Label
                                                                    </td>
                                                                    <td style="font-size: small;border: 0.5px solid black">
                                                                        @CurrencyHelper.FormatCurrencyWithPenny(charge.Price,item.Currency)
                                                                    </td>
                                                                </tr>
                                                            }
                                                        </tbody>
                                                    </table>
                                                </td>
                                                <td style="padding:10px;padding-top: 0;vertical-align: top;">
                                                    <table style="width: 100%;font-family: verdana">
                                                        <tbody>
                                                            <tr>
                                                                <td style="height: 150px;padding:10px;background-color:#ddd;border:0.5px solid black;">
                                                                    <table style="width: 100%;font-family: verdana">
                                                                        <tbody>
                                                                            <tr>
                                                                                <td>
                                                                                    <h3 style="font-size: smaller;display: inline-block;margin: 0;padding: 0">@item.ParticipantName</h3> <h6 style="font-size: xx-small;display: inline-block;margin: 0;padding: 0">@item.Age years</h6>
                                                                                    <br />
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td>
                                                                                    <table style="width: 100%">
                                                                                        <tbody>
                                                                                            <tr>
                                                                                                <td style="font-size: small;margin: 0;padding: 0">
                                                                                                    Confirmation
                                                                                                </td>
                                                                                                <td>
                                                                                                    <p style="font-size: small;margin: 0;padding: 0">@item.RegConfirmation</p>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td style="font-size: small;margin: 0;padding: 0">
                                                                                                    Paid amount
                                                                                                </td>
                                                                                                <td>
                                                                                                    <p style="font-size: small;margin: 0;padding: 0">@CurrencyHelper.FormatCurrencyWithPenny(item.PaidAmount,item.Currency)</p>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td style="font-size: small;margin: 0;padding: 0">
                                                                                                    Registration date
                                                                                                </td>
                                                                                                <td>
                                                                                                    <p style="font-size: small;margin: 0;padding: 0">@item.RegistrationDate.ToString("MMM dd, yyyy")</p>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </tbody>
                                                                                    </table>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table style="width: 100%;font-family: verdana">
                        <tbody>

                            <tr>
                                @if (item.RegForm != null)
                                {
                                    <td>

                                        <p>&nbsp;</p>
                                        @foreach (var jbBaseElement in item.RegForm.Elements.Where(e => e is JbSection))
                                        {
                                            var section = (JbSection)jbBaseElement;

                                            <table style="width: 100%; margin-top: 20px;font-family: verdana">
                                                <tbody>
                                                    <tr>
                                                        <td style="border-bottom: 0.5px solid black">
                                                            <h3 style="font-size: large;display: inline-block;margin: 0;padding: 0;margin-bottom: 5px">@(section.Title)</h3>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                            <br />
                                            foreach (var element in section.Elements)
                                            {
                                                @Html.EditorFor(m => element, "JbElementForPdf")
                                            }
                                        }

                                    </td>
                                }
                                else
                                {
                                    <td></td>
                                }
                            </tr>

                            <tr>
                                @if (item.Followups != null && item.Followups.Count > 0)
                                {
                                    <td>
                                        <table style="width: 100%; margin-top: 20px;font-family: verdana">
                                            <tbody>
                                                <tr>
                                                    <td style="border-bottom: 0.5px solid black">
                                                        <h3 style="font-size: large;display: inline-block;margin: 0;padding: 0;margin-bottom: 5px;">Follow-up Forms</h3>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                }
                                else
                                {
                                    <td></td>
                                }
                            </tr>
                            <tr>
                                @if (item.Followups != null && item.Followups.Count > 0)
                                {
                                    <td>
                                        @foreach (var followup in item.Followups)
                                        {
                                            <br />
                                            <h3 style="border-bottom: 0.5px solid black;margin: 0;margin-bottom: 5px">@followup.FormName</h3>
                                            foreach (var jbBaseElement in followup.JbForm.Elements.Where(e => e is JbSection))
                                            {
                                                var section = (JbSection)jbBaseElement;

                                                <p style="font-size: smaller;font-weight:bold ;display: inline-block;margin: 0;padding: 0;margin-top: 5px">
                                                    @(section.Title)
                                                </p>
                                                <br />
                                                foreach (var element in section.Elements)
                                                {
                                                    @Html.EditorFor(m => element, "JbElementForPdf")
                                                }
                                            }
                                        }
                                    </td>
                                }
                                else
                                {
                                    <td></td>
                                }
                            </tr>
                            <tr>
                                @if (item.Waivers != null && item.Waivers.Count > 0)
                                {
                                    <td>
                                        <table style="width: 100%;margin-top: 20px;font-family: verdana">
                                            <tbody>
                                                <tr>
                                                    <td style="border-bottom: 0.5px solid black">
                                                        <h3 style="font-size: large;display: inline-block;margin: 0;padding: 0;margin-bottom: 5px">Waivers</h3>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                }
                                else
                                {
                                    <td></td>
                                }
                            </tr>
                            <tr>
                                @if (item.Waivers != null && item.Waivers.Count > 0)
                                {
                                    <td>
                                        @foreach (var waiver in item.Waivers)
                                        {
                                            <br />
                                            <h3 style="border-bottom: 0.5px solid black;margin: 0">@waiver.Name</h3>
                                            if (waiver.Agreed || waiver.Signature != null)
                                            {
                                                if (waiver.Agreed)
                                                {
                                                    <h4 style="border-bottom: 0.5px solid black;margin: 0">(Agreed)</h4>
                                                    <br />
                                                }
                                                else if (waiver.Signature != null)
                                                {
                                                    <h4 style="border-bottom: 0.5px solid black;margin: 0">(Signed)</h4>
                                                    <br />
                                                }
                                            }
                                            else
                                            {
                                                <h4 style="border-bottom: 0.5px solid black;margin: 0">(Declined)</h4>
                                                <br />
                                            }
                                            <div style="font-size: small;display: block; margin: 0; padding: 0">@Html.Raw(waiver.Text.Replace("\n", "<br />"))</div>
                                        }
                                    </td>
                                }
                                else
                                {
                                    <td></td>
                                }
                            </tr>

                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    @*<br />*@
    @*<p style="display: none">PageBreak</p>*@
    <div style="page-break-after:always"> </div>
}
